<?xml version="1.0" encoding="utf-8"?>

<File Version="1.0">
	<ExtensionPoint ID="CascadeStyleSheet" Enable="1">
		<Plugin ID="GM::BasicUI" Bundle="..\CSS.dll" Enable="1">
			<ExtraConfig>
				<Item Name="Default" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans="" BGImage="Image\GM\Theme1\DialogBasic.png" SizeToImage="1"/>
				<Item Name="CheckBox" Width="59" Height="16" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | BS_NOTIFY | BS_AUTOCHECKBOX" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="TextEdit" Width="60" Height="23" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | ES_LEFT | ES_AUTOHSCROLL" StyleEx="WS_EX_CLIENTEDGE" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="#FFFFFF" BGColor="#000000" BGTrans=""/>
				<Item Name="NumberEdit" Width="60" Height="23" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | ES_LEFT | ES_AUTOHSCROLL" StyleEx="WS_EX_CLIENTEDGE" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="#FFFFFF" BGColor="#000000" BGTrans=""/>
				<Item Name="ListBox" Width="72" Height="65" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | WS_VSCROLL | LBS_NOTIFY | LBS_NOINTEGRALHEIGHT" StyleEx="WS_EX_CLIENTEDGE" FontName="" FontHeight="16" FontBold="" FontItalic="" FontUnderline="" FGColor="#FFFFFF" BGColor="#000000" BGTrans=""/>
				<Item Name="Label" Width="29" Height="14" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_CENTER" StyleEx="" FontName="" FontHeight="14" FontBold="" FontItalic="" FontUnderline="" FGColor="#FFFFFF" BGColor="" BGTrans="1"/>
				<Item Name="SliderCtrl" Width="150" Height="24" Style="WS_CHILD | WS_VISIBLE | TBS_HORZ | TBS_BOTH | TBS_TOOLTIPS | TBS_NOTICKS" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="ImageBox" Width="72" Height="65" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans="1"/>
				<Item Name="ImageList" Width="72" Height="65" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans="1"/>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="CWTWindowPrototype" Enable="1">
		<Plugin ID="GM::BasicUI" Bundle="..\CWT.dll" Enable="1">
			<Collaboration ExtensionPointID="CascadeStyleSheet" PluginID="GM::BasicUI"/>
			<Collaboration ExtensionPointID="CWTEventListener" PluginID="GM::BasicUI"/>	
			<ExtraConfig>
				<FreeLayout>
					<!--for test-->
					<!--Label X="80" Y="80" Text="Macro Edit" ID="GM::ID_BAS_MacroSetting"/-->

					<!--Title Bar-->
					<VirtualBox X="860" Y="25">
						<ColumnLayout ColSpace="20">
							<ImageList Active="0" OnOverActive="1" SizeToImage="1" ID="GM::ID_BAS_Skin">
								<Image File="Image\GM\Theme1\button_setting_normal.png"/>
								<Image File="Image\GM\Theme1\button_setting_over.png"/>
							</ImageList>
							<ImageList Active="0" OnOverActive="1" SizeToImage="1" ID="GM::ID_BAS_Min">
								<Image File="Image\GM\Theme1\button_min_normal.png"/>
								<Image File="Image\GM\Theme1\button_min_over.png"/>
							</ImageList>
							<ImageList Active="0" OnOverActive="1" SizeToImage="1" ID="GM::ID_BAS_Close">
								<Image File="Image\GM\Theme1\button_close_normal.png"/>
								<Image File="Image\GM\Theme1\button_close_over.png"/>
							</ImageList>
						</ColumnLayout>
					</VirtualBox>

					<!--Category Panel-->
					<ImageBox X="15" Y="230" SizeToImage="1" ID="GM::ID_BAS_CategoryTab_0" File="Image\GM\Theme1\category_mouse_active.png"/>
					<ImageList X="15" Y="320" Active="0" OnOverActive="1" SizeToImage="1" ID="GM::ID_BAS_CategoryTab_1">
						<Image File="Image\GM\Theme1\category_keyboard_normal.png"/>
						<Image File="Image\GM\Theme1\category_keyboard_over.png"/>
					</ImageList>
					<ImageList X="15" Y="400" Active="0" OnOverActive="1" SizeToImage="1" ID="GM::ID_BAS_CategoryTab_2">
						<Image File="Image\GM\Theme1\category_light_control_normal.png"/>
						<Image File="Image\GM\Theme1\category_light_control_over.png"/>
					</ImageList>

					<!--Switch Panel-->
					<ImageList X="307" Y="35" Active="0" OnOverActive="1" SizeToImage="1" ID="GM::ID_BAS_PanelTab_0">
						<Image File="Image\GM\Theme1\tab_normal.png"/>
						<Image File="Image\GM\Theme1\tab_over.png"/>
					</ImageList>
					<ImageList X="436" Y="35" Active="0" OnOverActive="1" SizeToImage="1" ID="GM::ID_BAS_PanelTab_1">
						<Image File="Image\GM\Theme1\tab_inactive.png"/>
						<Image File="Image\GM\Theme1\tab_over.png"/>
					</ImageList>
					<ImageList X="565" Y="35" Active="0" OnOverActive="1" SizeToImage="1" ID="GM::ID_BAS_PanelTab_2">
						<Image File="Image\GM\Theme1\tab_inactive.png"/>
						<Image File="Image\GM\Theme1\tab_over.png"/>
					</ImageList>
					<ImageList X="694" Y="35" Active="0" OnOverActive="1" SizeToImage="1" ID="GM::ID_BAS_PanelTab_3">
						<Image File="Image\GM\Theme1\tab_inactive.png"/>
						<Image File="Image\GM\Theme1\tab_over.png"/>
					</ImageList>
					
					<Label X="307" Y="50" Width="144" Text="基本設置" FontHeight="16" FGColor="#ffaa00" ID="GM::ID_BAS_TabLabel_Basic"/>
					<Label X="436" Y="50" Width="144" Text="進階設置" FontHeight="16" FGColor="#969b9b" ID="GM::ID_BAS_TabLabel_Advanced"/>
					<Label X="565" Y="50" Width="144" Text="背光" FontHeight="16" FGColor="#969b9b" ID="GM::ID_BAS_TabLabel_Lighting"/>
					<Label X="694" Y="50" Width="144" Text="巨集" FontHeight="16" FGColor="#969b9b" ID="GM::ID_BAS_TabLabel_MacroUI"/>

					<!--Profiles-->
					<VirtualBox X="28" Y="27">
						<RowLayout RowSpace="6">
							<ImageList Active="0" OnOverActive="1" SizeToImage="1" ID="GM::ID_BAS_Profile_0">
								<Image File="Image\GM\Theme1\button_profile_normal.png"/>
								<Image File="Image\GM\Theme1\button_profile_over.png"/>
							</ImageList>
						</RowLayout>
					</VirtualBox>
					<VirtualBox X="28" Y="32">
						<RowLayout RowSpace="6">
							<Label FontHeight="20" Width="253" Height="20" FGColor="#ffffff" ID="GM::ID_BAS_ProfileLabel_0"/>
						</RowLayout>
					</VirtualBox>

					<!--default setting-->
					<!--VirtualBox X="54" Y="547">
						<ImageList Active="0" OnOverActive="1" SizeToImage="1" ID="GM::ID_BAS_DefaultSetting">
							<Image File="Image\GM\Theme1\button_default_normal.png"/>
							<Image File="Image\GM\Theme1\button_default_over.png"/>
						</ImageList>
					</VirtualBox>
					<Label X="54" Y="552" Width="167" FontHeight="" Text="恢復預設值" FGColor="#fd9f00" ID="GM::ID_BAS_DefaultSettingLabel"/-->
					
					<!--mouse key-->
					<VirtualBox X="190" Y="160">
						<RowLayout RowSpace="6">
							<ImageList Active="0" OnOverActive="0" SizeToImage="1" ID="GM::ID_BAS_MouseKey_0">
								<Image File="Image\GM\Theme1\button_normal.png"/>								
								<!--Image File="Image\GM\Theme1\button_over.png"/-->
							</ImageList>
							<ImageList Active="0" OnOverActive="1" SizeToImage="1" ID="GM::ID_BAS_MouseKey_1">
								<Image File="Image\GM\Theme1\button_normal.png"/>
								<Image File="Image\GM\Theme1\button_over.png"/>
							</ImageList>
							<ImageList Active="0" OnOverActive="1" SizeToImage="1" ID="GM::ID_BAS_MouseKey_2">
								<Image File="Image\GM\Theme1\button_normal.png"/>
								<Image File="Image\GM\Theme1\button_over.png"/>
							</ImageList>
							<!--ImageList Active="0" OnOverActive="1" SizeToImage="1" ID="GM::ID_BAS_MouseKey_3">
								<Image File="Image\GM\Theme1\button_normal.png"/>
								<Image File="Image\GM\Theme1\button_over.png"/>
							</ImageList-->
						</RowLayout>
					</VirtualBox>
					<VirtualBox X="205" Y="165">
						<RowLayout RowSpace="6">
							<Label Text="左鍵" FontHeight="18" Width="160" Height="34" FGColor="#3c3c3c" ID="GM::ID_BAS_MouseKeyLabel_0" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_CENTER | SS_ENDELLIPSIS"/>
							<Label Text="右鍵" FontHeight="18" Width="160" Height="34" ID="GM::ID_BAS_MouseKeyLabel_1" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_CENTER | SS_ENDELLIPSIS"/>
							<Label Text="中鍵" FontHeight="18" Width="160" Height="34" ID="GM::ID_BAS_MouseKeyLabel_2" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_CENTER | SS_ENDELLIPSIS"/>
							<Label Visible="0" ID="GM::ID_BAS_DisableColor" FGColor="#3c3c3c"/>
							<!--Label Text="前進方向" FontHeight="18" Width="160" Height="34" ID="GM::ID_BAS_MouseKeyLabel_3" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_CENTER | SS_ENDELLIPSIS"/-->
						</RowLayout>
					</VirtualBox>
					
					<VirtualBox X="705" Y="160">
						<RowLayout RowSpace="6">
							<ImageList Active="0" OnOverActive="1" SizeToImage="1" ID="GM::ID_BAS_MouseKey_3">
								<Image File="Image\GM\Theme1\button_normal.png"/>
								<Image File="Image\GM\Theme1\button_over.png"/>
							</ImageList>
							<ImageList Active="0" OnOverActive="1" SizeToImage="1" ID="GM::ID_BAS_MouseKey_4">
								<Image File="Image\GM\Theme1\button_normal.png"/>
								<Image File="Image\GM\Theme1\button_over.png"/>
							</ImageList>
							<ImageList Active="0" OnOverActive="1" SizeToImage="1" ID="GM::ID_BAS_MouseKey_5">
								<Image File="Image\GM\Theme1\button_normal.png"/>
								<Image File="Image\GM\Theme1\button_over.png"/>
							</ImageList>
							<!--ImageList Active="0" OnOverActive="1" SizeToImage="1" ID="GM::ID_BAS_MouseKey_7">
								<Image File="Image\GM\Theme1\button_normal.png"/>
								<Image File="Image\GM\Theme1\button_over.png"/>
							</ImageList-->
						</RowLayout>
					</VirtualBox>
					<VirtualBox X="720" Y="165">
						<RowLayout RowSpace="6">
							<Label Text="前進" FontHeight="18" Width="160" Height="34" ID="GM::ID_BAS_MouseKeyLabel_3" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_CENTER | SS_ENDELLIPSIS"/>
							<Label Text="後退" FontHeight="18" Width="160" Height="34" ID="GM::ID_BAS_MouseKeyLabel_4" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_CENTER | SS_ENDELLIPSIS"/>
							<Label Text="DPI Loop+" FontHeight="18" Width="160" Height="34" ID="GM::ID_BAS_MouseKeyLabel_5" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_CENTER | SS_ENDELLIPSIS"/>
							<!--Label Text="Fire二連發" FontHeight="18" Width="160" Height="34" ID="GM::ID_BAS_MouseKeyLabel_7" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_CENTER | SS_ENDELLIPSIS"/-->
						</RowLayout>
					</VirtualBox>

					<!--GroupBox Text="USB報告率"-->
					<Label Text="USB報告率" X="160" Y="422" Width="200" ID="GM::ID_BAS_ReportRateSettingLabel" FontHeight="14" FontBold="1" FGColor="#ffffff" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_LEFT"/>
					<VirtualBox X="175" Y="455">
						<RowLayout RowSpace="15">
							<ImageList Active="0" SizeToImage="1" ID="GM::ID_BAS_ReportRate_0">
								<Image File="Image\GM\Theme1\radio_button_report_rate_none.png"/>
								<Image File="Image\GM\Theme1\radio_button_report_rate_selected.png"/>
							</ImageList>
							<ImageList Active="0" SizeToImage="1" ID="GM::ID_BAS_ReportRate_1">
								<Image File="Image\GM\Theme1\radio_button_report_rate_none.png"/>
								<Image File="Image\GM\Theme1\radio_button_report_rate_selected.png"/>
							</ImageList>
							<ImageList Active="0" SizeToImage="1" ID="GM::ID_BAS_ReportRate_2">
								<Image File="Image\GM\Theme1\radio_button_report_rate_none.png"/>
								<Image File="Image\GM\Theme1\radio_button_report_rate_selected.png"/>
							</ImageList>
							<ImageList Active="0" SizeToImage="1" ID="GM::ID_BAS_ReportRate_3">
								<Image File="Image\GM\Theme1\radio_button_report_rate_none.png"/>
								<Image File="Image\GM\Theme1\radio_button_report_rate_selected.png"/>
							</ImageList>
						</RowLayout>
					</VirtualBox>
					<VirtualBox X="200" Y="455">
						<RowLayout RowSpace="17">
							<Label Text="125 Hz" ID="GM::ID_BAS_ReportRate_Label_0" FontHeight="14" FGColor="#ffffff" Style="WS_CHILD | WS_VISIBLE | SS_LEFT | SS_NOTIFY"/>
							<Label Text="250 Hz" ID="GM::ID_BAS_ReportRate_Label_1" FontHeight="14" FGColor="#ffffff" Style="WS_CHILD | WS_VISIBLE | SS_LEFT | SS_NOTIFY"/>
							<Label Text="500 Hz" ID="GM::ID_BAS_ReportRate_Label_2" FontHeight="14" FGColor="#ffffff" Style="WS_CHILD | WS_VISIBLE | SS_LEFT | SS_NOTIFY"/>
							<Label Text="1000 Hz" ID="GM::ID_BAS_ReportRate_Label_3" FontHeight="14" FGColor="#ffffff" Style="WS_CHILD | WS_VISIBLE | SS_LEFT | SS_NOTIFY"/>
						</RowLayout>
					</VirtualBox>

					<!--DPI Settings-->
					<Label Text="DPI 設置" X="313" Y="422" Width="200" ID="GM::ID_BAS_DPISettingLabel" FontHeight="14" FontBold="1" FGColor="#ffffff" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_LEFT"/>
					<VirtualBox X="385" Y="440" Width="190">
						<ColumnLayout ColWidth="equal">
							<Label ID="GM::ID_BAS_DPI_Value_Label_0" Text="1000" FGColor="#ffffff" Style="WS_CHILD | WS_VISIBLE | SS_RIGHT"/>
							<Label ID="GM::ID_BAS_DPI_Value_Label_1" Text="2000" FGColor="#ffffff" Style="WS_CHILD | WS_VISIBLE | SS_RIGHT"/>
							<Label ID="GM::ID_BAS_DPI_Value_Label_2" Text="3000" FGColor="#ffffff" Style="WS_CHILD | WS_VISIBLE | SS_RIGHT"/>
							<Label ID="GM::ID_BAS_DPI_Value_Label_3" Text="4000" FGColor="#ffffff" Style="WS_CHILD | WS_VISIBLE | SS_RIGHT"/>							
						</ColumnLayout>
					</VirtualBox>
					
					<VirtualBox X="705" Y="440" Width="190">
						<ColumnLayout ColWidth="equal">
							<Label ID="GM::ID_BAS_DPI_Value_Label_4" Text="1000" FGColor="#ffffff" Style="WS_CHILD | WS_VISIBLE | SS_RIGHT"/>
							<Label ID="GM::ID_BAS_DPI_Value_Label_5" Text="2000" FGColor="#ffffff" Style="WS_CHILD | WS_VISIBLE | SS_RIGHT"/>
							<Label ID="GM::ID_BAS_DPI_Value_Label_6" Text="3000" FGColor="#ffffff" Style="WS_CHILD | WS_VISIBLE | SS_RIGHT"/>
							<Label ID="GM::ID_BAS_DPI_Value_Label_7" Text="4000" FGColor="#ffffff" Style="WS_CHILD | WS_VISIBLE | SS_RIGHT"/>							
						</ColumnLayout>
					</VirtualBox>
					<VirtualBox X="313" Y="455" Width="480">
						<RowLayout RowHeight="26" RowFillH="1">
							<!--mouse DPI setX 1 and 3-->
							<VirtualBox>
								<ColumnLayout ColAlignV="center">
									<!--mouse DPI setX 1-->
									<ImageList Active="0" SizeToImage="1" ID="GM::ID_BAS_DPISetCheck_0">
										<Image File="Image\GM\Theme1\checkbox_none_dpi.png"/>
										<Image File="Image\GM\Theme1\checkbox_checked_dpi.png"/>
									</ImageList>
									<Label Text="DPI1" X="334" Width="30" FontHeight="14"/>
									<Label Text="X" X="360" FontHeight="14" ID="GM::ID_BAS_DPIText1X"/>
									<VirtualBox X="376" Width="5"/>
									<ImageList X="384" Active="0" Width="24" Height="25" ID="GM::ID_BAS_DPISet1X_0">
										<Image File="Image\GM\Theme1\dpi_slider_dark.png"/>
										<Image File="Image\GM\Theme1\dpi_slider_light.png"/>
									</ImageList>
									<ImageList Active="0" Width="24" Height="25" ID="GM::ID_BAS_DPISet1X_1">
										<Image File="Image\GM\Theme1\dpi_slider_dark.png"/>
										<Image File="Image\GM\Theme1\dpi_slider_light.png"/>
									</ImageList>
									<ImageList Active="0" Width="24" Height="25" ID="GM::ID_BAS_DPISet1X_2">
										<Image File="Image\GM\Theme1\dpi_slider_dark.png"/>
										<Image File="Image\GM\Theme1\dpi_slider_light.png"/>
									</ImageList>
									<ImageList Active="0" Width="24" Height="25" ID="GM::ID_BAS_DPISet1X_3">
										<Image File="Image\GM\Theme1\dpi_slider_dark.png"/>
										<Image File="Image\GM\Theme1\dpi_slider_light.png"/>
									</ImageList>
									<ImageList Active="0" Width="24" Height="25" ID="GM::ID_BAS_DPISet1X_4">
										<Image File="Image\GM\Theme1\dpi_slider_dark.png"/>
										<Image File="Image\GM\Theme1\dpi_slider_light.png"/>
									</ImageList>
									<ImageList Active="0" Width="24" Height="25" ID="GM::ID_BAS_DPISet1X_5">
										<Image File="Image\GM\Theme1\dpi_slider_dark.png"/>
										<Image File="Image\GM\Theme1\dpi_slider_light.png"/>
									</ImageList>
									<ImageList Active="0" Width="24" Height="25" ID="GM::ID_BAS_DPISet1X_6">
										<Image File="Image\GM\Theme1\dpi_slider_dark.png"/>
										<Image File="Image\GM\Theme1\dpi_slider_light.png"/>
									</ImageList>
									<ImageList Active="0" Width="24" Height="25" ID="GM::ID_BAS_DPISet1X_7">
										<Image File="Image\GM\Theme1\dpi_slider_dark.png"/>
										<Image File="Image\GM\Theme1\dpi_slider_light.png"/>
									</ImageList>
									
									<!--mouse DPI setX 3-->
									<ImageList Active="0" X="632" SizeToImage="1" ID="GM::ID_BAS_DPISetCheck_2">
										<Image File="Image\GM\Theme1\checkbox_none_dpi.png"/>
										<Image File="Image\GM\Theme1\checkbox_checked_dpi.png"/>
									</ImageList>
									<Label Text="DPI3" X="655" Width="30" FontHeight="14"/>
									<Label Text="X" X="681" FontHeight="14" ID="GM::ID_BAS_DPIText3X"/>
									<VirtualBox X="697" Width="5"/>
									<ImageList X="705" Active="0" Width="24" Height="25" ID="GM::ID_BAS_DPISet3X_0">
										<Image File="Image\GM\Theme1\dpi_slider_dark.png"/>
										<Image File="Image\GM\Theme1\dpi_slider_light.png"/>
									</ImageList>
									<ImageList Active="0" Width="24" Height="25" ID="GM::ID_BAS_DPISet3X_1">
										<Image File="Image\GM\Theme1\dpi_slider_dark.png"/>
										<Image File="Image\GM\Theme1\dpi_slider_light.png"/>
									</ImageList>
									<ImageList Active="0" Width="24" Height="25" ID="GM::ID_BAS_DPISet3X_2">
										<Image File="Image\GM\Theme1\dpi_slider_dark.png"/>
										<Image File="Image\GM\Theme1\dpi_slider_light.png"/>
									</ImageList>
									<ImageList Active="0" Width="24" Height="25" ID="GM::ID_BAS_DPISet3X_3">
										<Image File="Image\GM\Theme1\dpi_slider_dark.png"/>
										<Image File="Image\GM\Theme1\dpi_slider_light.png"/>
									</ImageList>
									<ImageList Active="0" Width="24" Height="25" ID="GM::ID_BAS_DPISet3X_4">
										<Image File="Image\GM\Theme1\dpi_slider_dark.png"/>
										<Image File="Image\GM\Theme1\dpi_slider_light.png"/>
									</ImageList>
									<ImageList Active="0" Width="24" Height="25" ID="GM::ID_BAS_DPISet3X_5">
										<Image File="Image\GM\Theme1\dpi_slider_dark.png"/>
										<Image File="Image\GM\Theme1\dpi_slider_light.png"/>
									</ImageList>
									<ImageList Active="0" Width="24" Height="25" ID="GM::ID_BAS_DPISet3X_6">
										<Image File="Image\GM\Theme1\dpi_slider_dark.png"/>
										<Image File="Image\GM\Theme1\dpi_slider_light.png"/>
									</ImageList>
									<ImageList Active="0" Width="24" Height="25" ID="GM::ID_BAS_DPISet3X_7">
										<Image File="Image\GM\Theme1\dpi_slider_dark.png"/>
										<Image File="Image\GM\Theme1\dpi_slider_light.png"/>
									</ImageList>
								</ColumnLayout>
							</VirtualBox>
							<!--mouse DPI setY 1 and 3-->
							<VirtualBox>
								<ColumnLayout ColAlignV="center">
									<!--mouse DPI setY 1-->
									<Label Text="Y" X="360" FontHeight="14" ID="GM::ID_BAS_DPIText1Y"/>
									<VirtualBox X="376" Width="5"/>
									<ImageList X="384" Active="0" Width="24" Height="25" ID="GM::ID_BAS_DPISet1Y_0">
										<Image File="Image\GM\Theme1\dpi_slider_dark.png"/>
										<Image File="Image\GM\Theme1\dpi_slider_light.png"/>
									</ImageList>
									<ImageList Active="0" Width="24" Height="25" ID="GM::ID_BAS_DPISet1Y_1">
										<Image File="Image\GM\Theme1\dpi_slider_dark.png"/>
										<Image File="Image\GM\Theme1\dpi_slider_light.png"/>
									</ImageList>
									<ImageList Active="0" Width="24" Height="25" ID="GM::ID_BAS_DPISet1Y_2">
										<Image File="Image\GM\Theme1\dpi_slider_dark.png"/>
										<Image File="Image\GM\Theme1\dpi_slider_light.png"/>
									</ImageList>
									<ImageList Active="0" Width="24" Height="25" ID="GM::ID_BAS_DPISet1Y_3">
										<Image File="Image\GM\Theme1\dpi_slider_dark.png"/>
										<Image File="Image\GM\Theme1\dpi_slider_light.png"/>
									</ImageList>
									<ImageList Active="0" Width="24" Height="25" ID="GM::ID_BAS_DPISet1Y_4">
										<Image File="Image\GM\Theme1\dpi_slider_dark.png"/>
										<Image File="Image\GM\Theme1\dpi_slider_light.png"/>
									</ImageList>
									<ImageList Active="0" Width="24" Height="25" ID="GM::ID_BAS_DPISet1Y_5">
										<Image File="Image\GM\Theme1\dpi_slider_dark.png"/>
										<Image File="Image\GM\Theme1\dpi_slider_light.png"/>
									</ImageList>
									<ImageList Active="0" Width="24" Height="25" ID="GM::ID_BAS_DPISet1Y_6">
										<Image File="Image\GM\Theme1\dpi_slider_dark.png"/>
										<Image File="Image\GM\Theme1\dpi_slider_light.png"/>
									</ImageList>
									<ImageList Active="0" Width="24" Height="25" ID="GM::ID_BAS_DPISet1Y_7">
										<Image File="Image\GM\Theme1\dpi_slider_dark.png"/>
										<Image File="Image\GM\Theme1\dpi_slider_light.png"/>
									</ImageList>

									<!--mouse DPI setY 3-->
									<Label Text="Y" X="681" FontHeight="14" ID="GM::ID_BAS_DPIText3Y"/>
									<VirtualBox X="687" Width="5"/>
									<ImageList X="705" Active="0" Width="24" Height="25" ID="GM::ID_BAS_DPISet3Y_0">
										<Image File="Image\GM\Theme1\dpi_slider_dark.png"/>
										<Image File="Image\GM\Theme1\dpi_slider_light.png"/>
									</ImageList>
									<ImageList Active="0" Width="24" Height="25" ID="GM::ID_BAS_DPISet3Y_1">
										<Image File="Image\GM\Theme1\dpi_slider_dark.png"/>
										<Image File="Image\GM\Theme1\dpi_slider_light.png"/>
									</ImageList>
									<ImageList Active="0" Width="24" Height="25" ID="GM::ID_BAS_DPISet3Y_2">
										<Image File="Image\GM\Theme1\dpi_slider_dark.png"/>
										<Image File="Image\GM\Theme1\dpi_slider_light.png"/>
									</ImageList>
									<ImageList Active="0" Width="24" Height="25" ID="GM::ID_BAS_DPISet3Y_3">
										<Image File="Image\GM\Theme1\dpi_slider_dark.png"/>
										<Image File="Image\GM\Theme1\dpi_slider_light.png"/>
									</ImageList>
									<ImageList Active="0" Width="24" Height="25" ID="GM::ID_BAS_DPISet3Y_4">
										<Image File="Image\GM\Theme1\dpi_slider_dark.png"/>
										<Image File="Image\GM\Theme1\dpi_slider_light.png"/>
									</ImageList>
									<ImageList Active="0" Width="24" Height="25" ID="GM::ID_BAS_DPISet3Y_5">
										<Image File="Image\GM\Theme1\dpi_slider_dark.png"/>
										<Image File="Image\GM\Theme1\dpi_slider_light.png"/>
									</ImageList>
									<ImageList Active="0" Width="24" Height="25" ID="GM::ID_BAS_DPISet3Y_6">
										<Image File="Image\GM\Theme1\dpi_slider_dark.png"/>
										<Image File="Image\GM\Theme1\dpi_slider_light.png"/>
									</ImageList>
									<ImageList Active="0" Width="24" Height="25" ID="GM::ID_BAS_DPISet3Y_7">
										<Image File="Image\GM\Theme1\dpi_slider_dark.png"/>
										<Image File="Image\GM\Theme1\dpi_slider_light.png"/>
									</ImageList>									
								</ColumnLayout>
							</VirtualBox>
							
							<!--mouse DPI setX 2 and 4-->
							<VirtualBox>
								<ColumnLayout ColAlignV="center">
									<!--mouse DPI setX 2-->
									<ImageList Active="0" SizeToImage="1" ID="GM::ID_BAS_DPISetCheck_1">
										<Image File="Image\GM\Theme1\checkbox_none_dpi.png"/>
										<Image File="Image\GM\Theme1\checkbox_checked_dpi.png"/>
									</ImageList>
									<Label Text="DPI2" X="334" Width="30" FontHeight="14"/>
									<Label Text="X" X="360" FontHeight="14" ID="GM::ID_BAS_DPIText2X"/>
									<VirtualBox X="376" Width="5"/>
									<ImageList X="384" Active="0" Width="24" Height="25" ID="GM::ID_BAS_DPISet2X_0">
										<Image File="Image\GM\Theme1\dpi_slider_dark.png"/>
										<Image File="Image\GM\Theme1\dpi_slider_light.png"/>
									</ImageList>
									<ImageList Active="0" Width="24" Height="25" ID="GM::ID_BAS_DPISet2X_1">
										<Image File="Image\GM\Theme1\dpi_slider_dark.png"/>
										<Image File="Image\GM\Theme1\dpi_slider_light.png"/>
									</ImageList>
									<ImageList Active="0" Width="24" Height="25" ID="GM::ID_BAS_DPISet2X_2">
										<Image File="Image\GM\Theme1\dpi_slider_dark.png"/>
										<Image File="Image\GM\Theme1\dpi_slider_light.png"/>
									</ImageList>
									<ImageList Active="0" Width="24" Height="25" ID="GM::ID_BAS_DPISet2X_3">
										<Image File="Image\GM\Theme1\dpi_slider_dark.png"/>
										<Image File="Image\GM\Theme1\dpi_slider_light.png"/>
									</ImageList>
									<ImageList Active="0" Width="24" Height="25" ID="GM::ID_BAS_DPISet2X_4">
										<Image File="Image\GM\Theme1\dpi_slider_dark.png"/>
										<Image File="Image\GM\Theme1\dpi_slider_light.png"/>
									</ImageList>
									<ImageList Active="0" Width="24" Height="25" ID="GM::ID_BAS_DPISet2X_5">
										<Image File="Image\GM\Theme1\dpi_slider_dark.png"/>
										<Image File="Image\GM\Theme1\dpi_slider_light.png"/>
									</ImageList>
									<ImageList Active="0" Width="24" Height="25" ID="GM::ID_BAS_DPISet2X_6">
										<Image File="Image\GM\Theme1\dpi_slider_dark.png"/>
										<Image File="Image\GM\Theme1\dpi_slider_light.png"/>
									</ImageList>
									<ImageList Active="0" Width="24" Height="25" ID="GM::ID_BAS_DPISet2X_7">
										<Image File="Image\GM\Theme1\dpi_slider_dark.png"/>
										<Image File="Image\GM\Theme1\dpi_slider_light.png"/>
									</ImageList>

									<!--mouse DPI setX 4-->
									<ImageList Active="0" X="632" SizeToImage="1" ID="GM::ID_BAS_DPISetCheck_3">
										<Image File="Image\GM\Theme1\checkbox_none_dpi.png"/>
										<Image File="Image\GM\Theme1\checkbox_checked_dpi.png"/>
									</ImageList>
									<Label Text="DPI4" X="655" Width="30" FontHeight="14"/>
									<Label Text="X" X="681" FontHeight="14" ID="GM::ID_BAS_DPIText4X"/>
									<VirtualBox X="697" Width="5"/>
									<ImageList X="705" Active="0" Width="24" Height="25" ID="GM::ID_BAS_DPISet4X_0">
										<Image File="Image\GM\Theme1\dpi_slider_dark.png"/>
										<Image File="Image\GM\Theme1\dpi_slider_light.png"/>
									</ImageList>
									<ImageList Active="0" Width="24" Height="25" ID="GM::ID_BAS_DPISet4X_1">
										<Image File="Image\GM\Theme1\dpi_slider_dark.png"/>
										<Image File="Image\GM\Theme1\dpi_slider_light.png"/>
									</ImageList>
									<ImageList Active="0" Width="24" Height="25" ID="GM::ID_BAS_DPISet4X_2">
										<Image File="Image\GM\Theme1\dpi_slider_dark.png"/>
										<Image File="Image\GM\Theme1\dpi_slider_light.png"/>
									</ImageList>
									<ImageList Active="0" Width="24" Height="25" ID="GM::ID_BAS_DPISet4X_3">
										<Image File="Image\GM\Theme1\dpi_slider_dark.png"/>
										<Image File="Image\GM\Theme1\dpi_slider_light.png"/>
									</ImageList>
									<ImageList Active="0" Width="24" Height="25" ID="GM::ID_BAS_DPISet4X_4">
										<Image File="Image\GM\Theme1\dpi_slider_dark.png"/>
										<Image File="Image\GM\Theme1\dpi_slider_light.png"/>
									</ImageList>
									<ImageList Active="0" Width="24" Height="25" ID="GM::ID_BAS_DPISet4X_5">
										<Image File="Image\GM\Theme1\dpi_slider_dark.png"/>
										<Image File="Image\GM\Theme1\dpi_slider_light.png"/>
									</ImageList>
									<ImageList Active="0" Width="24" Height="25" ID="GM::ID_BAS_DPISet4X_6">
										<Image File="Image\GM\Theme1\dpi_slider_dark.png"/>
										<Image File="Image\GM\Theme1\dpi_slider_light.png"/>
									</ImageList>
									<ImageList Active="0" Width="24" Height="25" ID="GM::ID_BAS_DPISet4X_7">
										<Image File="Image\GM\Theme1\dpi_slider_dark.png"/>
										<Image File="Image\GM\Theme1\dpi_slider_light.png"/>
									</ImageList>									
								</ColumnLayout>
							</VirtualBox>
							<!--mouse DPI setY 2 and 4-->
							<VirtualBox>
								<ColumnLayout ColAlignV="center">
									<Label Text="Y" X="360" FontHeight="14" ID="GM::ID_BAS_DPIText2Y"/>
									<VirtualBox X="376" Width="5"/>
									<ImageList X="384" Active="0" Width="24" Height="25" ID="GM::ID_BAS_DPISet2Y_0">
										<Image File="Image\GM\Theme1\dpi_slider_dark.png"/>
										<Image File="Image\GM\Theme1\dpi_slider_light.png"/>
									</ImageList>
									<ImageList Active="0" Width="24" Height="25" ID="GM::ID_BAS_DPISet2Y_1">
										<Image File="Image\GM\Theme1\dpi_slider_dark.png"/>
										<Image File="Image\GM\Theme1\dpi_slider_light.png"/>
									</ImageList>
									<ImageList Active="0" Width="24" Height="25" ID="GM::ID_BAS_DPISet2Y_2">
										<Image File="Image\GM\Theme1\dpi_slider_dark.png"/>
										<Image File="Image\GM\Theme1\dpi_slider_light.png"/>
									</ImageList>
									<ImageList Active="0" Width="24" Height="25" ID="GM::ID_BAS_DPISet2Y_3">
										<Image File="Image\GM\Theme1\dpi_slider_dark.png"/>
										<Image File="Image\GM\Theme1\dpi_slider_light.png"/>
									</ImageList>
									<ImageList Active="0" Width="24" Height="25" ID="GM::ID_BAS_DPISet2Y_4">
										<Image File="Image\GM\Theme1\dpi_slider_dark.png"/>
										<Image File="Image\GM\Theme1\dpi_slider_light.png"/>
									</ImageList>
									<ImageList Active="0" Width="24" Height="25" ID="GM::ID_BAS_DPISet2Y_5">
										<Image File="Image\GM\Theme1\dpi_slider_dark.png"/>
										<Image File="Image\GM\Theme1\dpi_slider_light.png"/>
									</ImageList>
									<ImageList Active="0" Width="24" Height="25" ID="GM::ID_BAS_DPISet2Y_6">
										<Image File="Image\GM\Theme1\dpi_slider_dark.png"/>
										<Image File="Image\GM\Theme1\dpi_slider_light.png"/>
									</ImageList>
									<ImageList Active="0" Width="24" Height="25" ID="GM::ID_BAS_DPISet2Y_7">
										<Image File="Image\GM\Theme1\dpi_slider_dark.png"/>
										<Image File="Image\GM\Theme1\dpi_slider_light.png"/>
									</ImageList>
									
									<!--mouse DPI setY 4-->
									<Label Text="Y" X="681" FontHeight="14" ID="GM::ID_BAS_DPIText4Y"/>
									<VirtualBox X="697" Width="5"/>
									<ImageList X="705" Active="0" Width="24" Height="25" ID="GM::ID_BAS_DPISet4Y_0">
										<Image File="Image\GM\Theme1\dpi_slider_dark.png"/>
										<Image File="Image\GM\Theme1\dpi_slider_light.png"/>
									</ImageList>
									<ImageList Active="0" Width="24" Height="25" ID="GM::ID_BAS_DPISet4Y_1">
										<Image File="Image\GM\Theme1\dpi_slider_dark.png"/>
										<Image File="Image\GM\Theme1\dpi_slider_light.png"/>
									</ImageList>
									<ImageList Active="0" Width="24" Height="25" ID="GM::ID_BAS_DPISet4Y_2">
										<Image File="Image\GM\Theme1\dpi_slider_dark.png"/>
										<Image File="Image\GM\Theme1\dpi_slider_light.png"/>
									</ImageList>
									<ImageList Active="0" Width="24" Height="25" ID="GM::ID_BAS_DPISet4Y_3">
										<Image File="Image\GM\Theme1\dpi_slider_dark.png"/>
										<Image File="Image\GM\Theme1\dpi_slider_light.png"/>
									</ImageList>
									<ImageList Active="0" Width="24" Height="25" ID="GM::ID_BAS_DPISet4Y_4">
										<Image File="Image\GM\Theme1\dpi_slider_dark.png"/>
										<Image File="Image\GM\Theme1\dpi_slider_light.png"/>
									</ImageList>
									<ImageList Active="0" Width="24" Height="25" ID="GM::ID_BAS_DPISet4Y_5">
										<Image File="Image\GM\Theme1\dpi_slider_dark.png"/>
										<Image File="Image\GM\Theme1\dpi_slider_light.png"/>
									</ImageList>
									<ImageList Active="0" Width="24" Height="25" ID="GM::ID_BAS_DPISet4Y_6">
										<Image File="Image\GM\Theme1\dpi_slider_dark.png"/>
										<Image File="Image\GM\Theme1\dpi_slider_light.png"/>
									</ImageList>
									<ImageList Active="0" Width="24" Height="25" ID="GM::ID_BAS_DPISet4Y_7">
										<Image File="Image\GM\Theme1\dpi_slider_dark.png"/>
										<Image File="Image\GM\Theme1\dpi_slider_light.png"/>
									</ImageList>											
								</ColumnLayout>
							</VirtualBox>							
						</RowLayout>
					</VirtualBox>

					<!--invisible widget: mouse key button label highlight 0~9-->
					<VirtualBox X="160" Y="158">
						<RowLayout RowSpace="3">
							<ImageBox Visible="0" SizeToImage="1" ID="GM::ID_BAS_MouseKeyButtonLabel_0" File="Image\GM\Theme1\mouse_key_label_highlight.png"/>
							<ImageBox Visible="0" SizeToImage="1" ID="GM::ID_BAS_MouseKeyButtonLabel_1" File="Image\GM\Theme1\mouse_key_label_highlight.png"/>
							<ImageBox Visible="0" SizeToImage="1" ID="GM::ID_BAS_MouseKeyButtonLabel_2" File="Image\GM\Theme1\mouse_key_label_highlight.png"/>
							<ImageBox Visible="0" SizeToImage="1" ID="GM::ID_BAS_MouseKeyButtonLabel_3" File="Image\GM\Theme1\mouse_key_label_highlight.png"/>
						</RowLayout>
					</VirtualBox>
					<VirtualBox X="681" Y="158">
						<RowLayout RowSpace="3">
							<ImageBox Visible="0" SizeToImage="1" ID="GM::ID_BAS_MouseKeyButtonLabel_4" File="Image\GM\Theme1\mouse_key_label_highlight.png"/>
							<ImageBox Visible="0" SizeToImage="1" ID="GM::ID_BAS_MouseKeyButtonLabel_5" File="Image\GM\Theme1\mouse_key_label_highlight.png"/>
							<ImageBox Visible="0" SizeToImage="1" ID="GM::ID_BAS_MouseKeyButtonLabel_6" File="Image\GM\Theme1\mouse_key_label_highlight.png"/>
							<ImageBox Visible="0" SizeToImage="1" ID="GM::ID_BAS_MouseKeyButtonLabel_7" File="Image\GM\Theme1\mouse_key_label_highlight.png"/>
						</RowLayout>
					</VirtualBox>

					<!--invisible widget: mouse key label highlight 0~9-->
					<ImageBox X="486" Y="137" Visible="0" SizeToImage="1" ID="GM::ID_BAS_MouseImageKeyLabel_0" File="Image\GM\Theme1\mouse_key_label_highlight.png"/>
					<ImageBox X="554" Y="137" Visible="0" SizeToImage="1" ID="GM::ID_BAS_MouseImageKeyLabel_1" File="Image\GM\Theme1\mouse_key_label_highlight.png"/>
					<ImageBox X="538" Y="160" Visible="0" SizeToImage="1" ID="GM::ID_BAS_MouseImageKeyLabel_2" File="Image\GM\Theme1\mouse_key_label_highlight.png"/>
					<ImageBox X="443" Y="242" Visible="0" SizeToImage="1" ID="GM::ID_BAS_MouseImageKeyLabel_3" File="Image\GM\Theme1\mouse_key_label_highlight.png"/>
					<ImageBox X="443" Y="274" Visible="0" SizeToImage="1" ID="GM::ID_BAS_MouseImageKeyLabel_4" File="Image\GM\Theme1\mouse_key_label_highlight.png"/>
					<ImageBox X="506" Y="195" Visible="0" SizeToImage="1" ID="GM::ID_BAS_MouseImageKeyLabel_5" File="Image\GM\Theme1\mouse_key_label_highlight.png"/>
					<ImageBox X="506" Y="227" Visible="0" SizeToImage="1" ID="GM::ID_BAS_MouseImageKeyLabel_6" File="Image\GM\Theme1\mouse_key_label_highlight.png"/>
					<ImageBox X="466" Y="162" Visible="0" SizeToImage="1" ID="GM::ID_BAS_MouseImageKeyLabel_7" File="Image\GM\Theme1\mouse_key_label_highlight.png"/>

					<!--invisible widget: mouse key candidate-->
					<ListBox Visible="0" ID="GM::ID_BAS_MouseKeyMenu_Level_0"><!--top menu-->
						<Item>預設</Item>
						<Item>鍵盤單鍵功能</Item>
						<Item>鍵盤複合鍵功能</Item>
						<Item>滑鼠功能</Item>
						<Item>靈敏度控制</Item>
						<Item>巨集</Item>
						<Item>N連發</Item>
						<Item>啟動程式</Item>
						<Item>多媒體鍵</Item>
						<Item>Windows快捷鍵</Item>						
						<Item>禁用</Item>
					</ListBox>
					
					<ListBox Visible="0" ID="GM::ID_BAS_MouseKeyMenu_Level_0_0"><!--default-->
						<Item>左鍵</Item>
						<Item>右鍵</Item>
						<Item>中鍵</Item>
						<Item>後退鍵</Item>
						<Item>前進鍵</Item>
						<Item>DPI Loop+</Item>									
					</ListBox>
					<ListBox Visible="0" ID="GM::ID_BAS_MouseKeyMenu_Level_0_3"><!--mouse function menu-->
						<Item>左鍵</Item>
						<Item>右鍵</Item>
						<Item>中鍵</Item>
						<Item>後退鍵</Item>
						<Item>前進鍵</Item>
						<Item>向上滾動</Item>
						<Item>向下滾動</Item>
					</ListBox>
					<ListBox Visible="0" ID="GM::ID_BAS_MouseKeyMenu_Level_0_4"><!--DPI menu-->
						<Item>DPI+</Item>
						<Item>DPI-</Item>
						<Item>DPI Loop+</Item>
						<Item>DPI Loop-</Item>						
					</ListBox>
					<ListBox Visible="0" ID="GM::ID_BAS_MouseKeyMenu_Level_0_5"><!--Macro mode menu-->
						<Item>播放一次</Item>
						<Item>播放多次</Item>
						<Item>再按鍵時停止</Item>						
					</ListBox>
					<ListBox Visible="0" ID="GM::ID_BAS_MouseKeyMenu_Level_0_8"><!--media key menu-->
						<Item>音量減小</Item>
						<Item>音量增大</Item>
						<Item>靜音</Item>
						<Item>播放/暫停</Item>
						<Item>前一首曲目</Item>
						<Item>下一首曲目</Item>
						<Item>停止</Item>
						<Item>首頁</Item>
						<Item>我的電腦</Item>
						<Item>電子郵件</Item>
						<Item>計算機</Item>
					</ListBox>
					<ListBox Visible="0" ID="GM::ID_BAS_MouseKeyMenu_Level_0_9"><!--windows hot-key menu-->
						<Item>啟動工作管理員</Item>
						<Item>開啟系統效能設定選單</Item>
						<Item>顯示桌面</Item>
						<Item>應用程式循環</Item>
						<Item>切換應用程式</Item>
						<Item>關閉應用程式</Item>
						<Item>剪下</Item>
						<Item>複製</Item>
						<Item>貼上</Item>
					</ListBox>
					
					<!--invisible widget: macro edit-->
					<ListBox Visible="0" ID="GM::ID_BAS_MacroMenu_Level_0_4"><!--Macro mouse event 1 menu-->
						<Item>左鍵</Item>
						<Item>右鍵</Item>
						<Item>中鍵</Item>
						<Item>後退鍵</Item>
						<Item>前進鍵</Item>
						<Item>滾輪</Item>		
					</ListBox>		
					<ListBox Visible="0" ID="GM::ID_BAS_MacroMenu_Level_0_5_0"><!--Macro mouse event 2-0 menu-->
						<Item>按下</Item>
						<Item>彈起</Item>			
					</ListBox>		
					<ListBox Visible="0" ID="GM::ID_BAS_MacroMenu_Level_0_5_1"><!--Macro mouse event 2-1 menu-->
						<Item>向上滾動</Item>
						<Item>向下滾動</Item>			
					</ListBox>
					
					<Label Visible="0" Text="" ID="GM::ID_BAS_FireKey_Display"/>
					<!--Logo-->
					<ImageBox X="20" Y="20" SizeToImage="1" ID="GM::ID_BAS_Logo_TopLeft" File="Image\GM\Theme1\logo_top_left.png"/>
					<ImageBox X="800" Y="615" SizeToImage="1" ID="GM::ID_BAS_Logo_BottomRight" File="Image\GM\Theme1\logo_bottom_right.png"/>
				</FreeLayout>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="CWTEventListener" Enable="1">
		<Plugin ID="GM::BasicUI" Bundle="GamingMouseMain.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbAppSetting" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="I_PbMessageBoxProvider" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="GM::I_PbUserProfileFacade" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="GM::I_PbGamingMouseWriter" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="GM::I_PbGamingMouseMacroFacade" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="GM::I_PbDeviceSetting" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="I_PbDialogInvoker" PluginID="GM::SkinDialog"/>
			<Collaboration ExtensionPointID="I_PbDialogInvoker" PluginID="GM::ProfileDialog"/>
			<Collaboration ExtensionPointID="I_PbDialogInvoker" PluginID="GM::MacroDialog"/>
			<Collaboration ExtensionPointID="I_PbDialogInvoker" PluginID="GM::MouseKeyDialog"/>
			<Collaboration ExtensionPointID="I_PbDialogInvoker" PluginID="GM::MacroEditDialog"/>
			<Collaboration ExtensionPointID="I_PbDialogInvoker" PluginID="GM::LightingPaletteDialog"/>
			<Collaboration ExtensionPointID="I_PbDialogInvokerExt" PluginID="GM::MouseKeyDialog"/>
			<Collaboration ExtensionPointID="I_PbDialogInvokerExt" PluginID="GM::LightingPaletteDialog"/>
			<Collaboration ExtensionPointID="I_PbDialogInvokerExt" PluginID="GM::ProfileDialog"/>
			<ExtraConfig>
				<Default>
					<MouseKey>
						<Key>0?0</Key>
						<Key>0?1</Key>
						<Key>0?2</Key>
						<Key>0?3</Key>
						<Key>0?4</Key>
						<Key>0?5</Key>
					</MouseKey>
				</Default>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="I_PbDialogInvokerExt" Enable="1">
		<Plugin ID="GM::BasicUI" Bundle="GamingMouseMain.dll" Enable="1">
			<Collaboration ExtensionPointID="GM::I_PbUserProfileFacade" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="I_PbSkinTextColor" PluginID="GM::BasicUI"/>
			<Collaboration ExtensionPointID="I_PbSkinLanguage" PluginID="GM::BasicUI"/>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="CWTWidgetCallbackImageListOnMouseEnter" Enable="1">
		<Plugin ID="GM::ID_BAS_MouseKey_0" Bundle="GamingMouseMain.dll" Enable="1"/>
		<Plugin ID="GM::ID_BAS_MouseKey_1" Bundle="GamingMouseMain.dll" Enable="1"/>
		<Plugin ID="GM::ID_BAS_MouseKey_2" Bundle="GamingMouseMain.dll" Enable="1"/>
		<Plugin ID="GM::ID_BAS_MouseKey_3" Bundle="GamingMouseMain.dll" Enable="1"/>
		<Plugin ID="GM::ID_BAS_MouseKey_4" Bundle="GamingMouseMain.dll" Enable="1"/>
		<Plugin ID="GM::ID_BAS_MouseKey_5" Bundle="GamingMouseMain.dll" Enable="1"/>
	</ExtensionPoint>

	<ExtensionPoint ID="CWTWidgetCallbackImageListOnMouseLeave" Enable="1">
		<Plugin ID="GM::ID_BAS_MouseKey_0" Bundle="GamingMouseMain.dll" Enable="1"/>
		<Plugin ID="GM::ID_BAS_MouseKey_1" Bundle="GamingMouseMain.dll" Enable="1"/>
		<Plugin ID="GM::ID_BAS_MouseKey_2" Bundle="GamingMouseMain.dll" Enable="1"/>
		<Plugin ID="GM::ID_BAS_MouseKey_3" Bundle="GamingMouseMain.dll" Enable="1"/>
		<Plugin ID="GM::ID_BAS_MouseKey_4" Bundle="GamingMouseMain.dll" Enable="1"/>
		<Plugin ID="GM::ID_BAS_MouseKey_5" Bundle="GamingMouseMain.dll" Enable="1"/>
	</ExtensionPoint>
</File>
